# Test Functions

def DrawCircle (x, y, r):
    element = APIObject ()
    element.head = APIObject ()
    element.head.typeID = API_ArcID
    element.origC = APIObject ()
    element.whole = True
    element.origC.x = x
    element.origC.y = y
    element.r = r
    CreateArc (element)

def DrawArc (x, y, r, beg, end):
    element = APIObject ()
    element.head = APIObject ()
    element.head.typeID = API_ArcID
    element.origC = APIObject ()
    element.whole = False
    element.origC.x = x
    element.origC.y = y
    element.r = r
    element.begAng = beg
    element.endAng = end
    CreateArc (element)

# Test Fixture

with UndoScope("Draw Smile"):
    DrawCircle (6, 7, 8)
    DrawCircle (2.5, 10, 2.5)
    DrawCircle (3, 10, 1)
    DrawCircle (9.5, 10, 2.5)
    DrawCircle (9, 10, 1)
    DrawArc (6, 6, 4, 3.14, 6.28)

# Clean Up

del globals ()["DrawCircle"]
del globals ()["DrawArc"]
