elem = ClickElement ()

with UndoScope ("Set Element Properties to Default"):
	for d in GetElementPropertyDefinitionDictionary (elem, API_PropertyDefinitionFilter_UserDefined).values ():
		if d.canValueBeEditable and d.defaultValue.hasExpression == False:
			p = GetElementProperty (elem, d.guid)
			if p.isDefault == False:
				p.isDefault = True
				SetElementProperty (elem, p)
				print("Changed \"{}\" property to it's default value.".format (d.name))
